Article View: demon.ip.developers
Article #446Re: Description of KA9Q MX problems (reposted from Dejanews)
From: Graham E Kinns
Date: Mon, 10 Nov 1997 00:00
Date: Mon, 10 Nov 1997 00:00
27 lines
1862 bytes
1862 bytes
In article <878846387snz@grempc.demon.co.uk> I wrote: >A diff against the DIS 2.16 source to fix the major problem >is attached below which will result in resolve_mx() failing (returning >0) if no MX records exist (or MX records exist with no resolvable >hostnames :( ); the code in smtpcli.c, mailroute() performs the MX to >A record fallback behaviour required by the STD. Further to that, having had chance to check that the resolver's cacheing of negative responses meets RFC1034, RFC1123 and subsequent clarifications, I now have a revised, tested patch to meet RFC974 (and also the current DRUMS draft). This ensures that the A record is never tried unless an authoritative negative response for the MX record is received so e.g. mail2news@news.demon.co.uk would never be sent to a newsserver should the MX lookup timeout for any reason. I can post the diffs against the current DIS source if there's any interest ... (I'm also open to any input on whether it's worth modifying the code to cache negative responses in domain.txt - they aren't at present). Cheers, Graham. -- Graham E. Kinns Graham@grempc.demon.co.uk
Technical Details
Message-ID:
<879174239snz@grempc.demon.co.uk>Path:
arc1-ca.pugleaf.net!unknown!not-for-mailReferences:
<878761940snz@siberia.demon.co.uk> <34618a7b.0@muir-et2.staff.demon.net> <878846387snz@grempc.demon.co.uk>Show Full Headers
Complete Article Headers
X-Google-Language: ENGLISH,ASCII-7-bit X-Google-Thread: 10bb05,b29bb65ab507dc01 X-Google-Attributes: gid10bb05,public From: Graham@grempc.demon.co.uk (Graham E Kinns) Subject: Re: Description of KA9Q MX problems (reposted from Dejanews) Date: 1997/11/10 Message-ID: <879174239snz@grempc.demon.co.uk> X-Deja-AN: 289087195 References: <878761940snz@siberia.demon.co.uk> <34618a7b.0@muir-et2.staff.demon.net> <878846387snz@grempc.demon.co.uk> X-Mail2News-Path: grempc.demon.co.uk X-Mail2News-User: news@grempc.demon.co.uk X-Complaints-To: abuse@demon.net X-Trace: mail2news.demon.co.uk 879190878 25924 news grempc.demon.co.uk Organization: Home, N Yorks, UK Newsgroups: demon.ip.developers